// variables & mixings
@import "variables";
// fonts
@font-face {
  font-family: "sourcesans-regular";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/regular.svg#sourcesans-regular")
      format("svg");
}

@font-face {
  font-family: "sourcesans-semibold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/semibold.svg#sourcesans-semibold")
      format("svg");
}

@font-face {
  font-family: "sourcesans-bold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/bold.svg#sourcesans-bold")
      format("svg");
}

@font-face {
  font-family: "sourcesans-light";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/sourcesanspro/light.svg#sourcesans-light")
      format("svg");
}

@font-face {
  font-family: "opensans-regular";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/regular.svg#opensans-regular")
      format("svg");
}

@font-face {
  font-family: "opensans-semibold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/semibold.svg#opensans-semibold")
      format("svg");
}

@font-face {
  font-family: "opensans-bold";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/open-sans/bold.svg#opensans-bold")
      format("svg");
}

@font-face {
  font-family: "cern-icons";
  src: url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.eot?")
      format("eot"),
    url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.woff2")
      format("woff2"),
    url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.woff")
      format("woff"),
    url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.ttf")
      format("truetype"),
    url("//framework.web.cern.ch/framework/3.0/fonts/cern/cern.svg#cern-icons")
      format("svg");
}

//
//media // resource box
.component-media-content {
  @include flexbox;
  @include font-size(1.4);
  font-family: "sourcesans-regular";
  position: relative;
  min-height: 210px;
  float: left;
  vertical-align: top;
  max-width: 100%;
  padding: 30px 40px;
  cursor: pointer;

  .box-link {
    z-index: 100;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  &__wrapper {
    @include flexbox;
    @include align-items(center);
    @include justify-content(flex-end);
    @include flex-flow(column);
    position: relative;
    z-index: 10;
    height: 150px;
    width: 100%;
  }
  &__subwrapper {
    @include align-self(flex-end);
    width: 100%;
  }
  &__icon {
    //color: white;
    width: 30px;
    height: 30px;
    margin: auto;
    position: absolute;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1;
    display: block;
    text-indent: -999999px;
    width: 30px;
    height: 30px;
    top: -15px;
    &::before {
      content: "\7a";
      text-shadow: 0px 0px 0.8px black, 0px 0px 0.8px black, 0px 0px 0.8px black,
        0px 0px 0.8px black, 0 0 0.8px black;
      @include font-size(5);
      font-family: "cern-icons";
      -moz-osx-font-smoothing: grayscale;
      -webkit-font-smoothing: antialiased;
      width: 30px;
      height: 30px;
      display: block;
      position: absolute;
      line-height: 30px;
      text-indent: -9px;
      font-weight: normal;
    }
  }
  &__title {
    @include flexbox;
    @include flex-wrap(wrap);
    @include flex-flow(column);
    margin: 0;
    h3 {
      @include font-size(2);
      font-family: "sourcesans-semibold";
      line-height: 26px;
      padding: 0;
      margin: 0;
      max-width: 100%;
      a {
        display: block;
        position: relative;
        span {
          text-shadow: 0px 0px 0.8px black, 0px 0px 0.8px black,
            0px 0px 0.8px black, 0px 0px 0.8px black, 0 0 0.8px black;
          display: block;
          width: 100%;
          overflow: hidden;
        }

        &:hover {
          text-decoration: none;
        }
        &:before {
          content: "\j";
          @include font-size(4);
          @include transition(all 0.6s ease-in-out 0s);
          font-family: "cern-icons";
          -moz-osx-font-smoothing: grayscale;
          -webkit-font-smoothing: antialiased;
          display: inline-block;
          vertical-align: bottom;
          position: absolute;
          top: -1px;
          left: -10px;
          line-height: 25px;
          width: 12px;
          text-indent: -25px;
        }

        &.hovered {
          &:before {
            left: 0;
          }
        }
      }
    }
  } //
  // type
  &.image-360,
  &.video-360 {
    .component-media-content__icon::before {
      content: "\t";
    }
  }
  &.anual-report {
    .component-media-content__icon::before {
      content: "\^";
    }
  }
  &.brochure {
    .component-media-content__icon::before {
      content: "\^";
    }
  }
  &.bulletin {
    .component-media-content__icon::before {
      content: "\~";
    }
  }
  &.courier {
    .component-media-content__icon::before {
      content: "\^";
    }
  }
  &.document {
    .component-media-content__icon::before {
      content: "\~";
    }
  }
  &.image {
    .component-media-content__icon::before {
      content: "\z";
    }
  }
  &.presentation {
    .component-media-content__icon::before {
      content: "\_";
    }
  }
  &.publication {
    .component-media-content__icon::before {
      content: "\^";
    }
  }
  &.video {
    .component-media-content__icon::before {
      content: "\Z";
    }
  } //
  // display
  &.portrait {
    width: calc(33.3% - 8px);
    min-height: 428px;
    margin: 4px;
    .component-media-content__wrapper {
      height: 368px;
    }
    @media screen and (max-width: 991px) {
      width: calc(50% - 8px);
    }
    @media screen and (max-width: 767px) {
      margin: 4px 0;
      min-height: 210px;
      width: 100%;
      .component-media-content__wrapper {
        height: 150px;
      }
    }
    &:hover {
      .component-media-content__veil {
        opacity: 0;
      }
    }
  }
  &.simple-display {
    width: calc(33.3% - 8px);
    min-height: 210px;
    margin: 4px;
    @media screen and (max-width: 991px) {
      width: calc(50% - 8px);
    }
    @media screen and (max-width: 767px) {
      margin: 4px 0;
      width: 100%;
    }
    &:hover {
      .component-media-content__veil {
        opacity: 0;
      }
    }
  }
  &.portrait.box-force-full-width {
    width: calc(100% - 8px);
    min-height: 428px;
    margin: 4px;
    @media screen and (max-width: 991px) {
      width: calc(100% - 8px);
    }
    @media screen and (max-width: 767px) {
      margin: 4px 0;
      width: 100%;
    }
    &:hover {
      .component-media-content__veil {
        opacity: 0;
      }
    }
  }
  &.simple-display.box-force-full-width,
  &:not(.portrait):not(.simple-display) {
    width: calc(100% - 8px);
    min-height: 210px;
    margin: 4px;
    @media screen and (max-width: 991px) {
      width: calc(100% - 8px);
    }
    @media screen and (max-width: 767px) {
      margin: 4px 0;
      width: 100%;
    }
    &:hover {
      .component-media-content__veil {
        opacity: 0;
      }
    }
  } //
  // otros
  *,
  *::after,
  *::before {
    box-sizing: border-box;
  }
  .gutter-sizer {
    width: 4%;
  } //
  // veil
  &__veil {
    @include transition(all 0.4s ease-in-out 0s);
    @include background-gradient(
      $startColor: rgba(0, 0, 0, 0),
      $endColor: rgba(0, 0, 0, 0.9)
    );
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 0;
  }
}

// SIDEBARS
.component-row__sidebar-right,
.component-row__sidebar-left {
  .component-media-content {
    &.portrait {
      margin: 4px 4px 4px 0px;
      width: 100%;
      min-height: 210px;
      .component-media-content__wrapper {
        height: 150px;
      }
      @media screen and (max-width: 991px) {
        margin: 4px;
        width: calc(100% - 8px);
      }
      @media screen and (max-width: 767px) {
        margin: 4px 0;
        width: 100%;
      }
    }
    &.simple-display {
      margin: 4px 4px 4px 0px;
      width: 100%;
      min-height: 210px;
      .component-media-content__wrapper {
        height: 150px;
      }
      @media screen and (max-width: 991px) {
        margin: 4px;
        width: calc(100% - 8px);
      }
      @media screen and (max-width: 767px) {
        margin: 4px 0;
        width: 100%;
      }
    }
    &:not(.portrait):not(.simple-display) {
      margin: 4px 4px 4px 0px;
      width: 100%;
      min-height: 210px;
      .component-media-content__wrapper {
        height: 150px;
      }
      @media screen and (max-width: 991px) {
        margin: 4px;
        width: calc(100% - 8px);
      }
      @media screen and (max-width: 767px) {
        margin: 4px 0;
        width: 100%;
      }
    }
  }
}

// preview cards animation
@media screen and (min-width: 992px) {
  .component-row.box-effects .component-row__center {
    .component-media-content {
      @include transition(all 0.4s ease-in-out 0s); // display
      &.portrait {
        width: calc(33.3% - 38px);
        @media screen and (max-width: 991px) {
          width: calc(50% - 38px);
        }
        @media screen and (max-width: 767px) {
          width: 100% !important;
        }
        &.from-smaller {
          @include transition(all 0.4s ease-in-out 0s);
        }
        &.from-bigger,
        &.from-bigger.from-smaller {
          @include transition(all 0.4s ease-in-out 0s);
        }
        &.make-bigger {
          @include transition(all 0.4s ease-in-out 0s);
          width: calc(43.3% - 38px) !important;
        }
        &.make-smaller {
          @include transition(all 0.4s ease-in-out 0s);
          width: calc(23.3% - 38px) !important;
        }
        &:hover {
          .component-preview-cards__veil {
            opacity: 0;
          }
        }
      }
      &.simple-display {
        width: calc(33.3% - 38px);
        @media screen and (max-width: 991px) {
          width: calc(50% - 38px);
        }
        @media screen and (max-width: 767px) {
          width: 100% !important;
        }
        &.from-smaller {
          @include transition(all 0.4s ease-in-out 0s);
        }
        &.from-bigger,
        &.from-bigger.from-smaller {
          @include transition(all 0.4s ease-in-out 0s);
        }
        &.make-bigger {
          @include transition(all 0.4s ease-in-out 0s);
          width: calc(43.3% - 38px) !important;
        }
        &.make-smaller {
          @include transition(all 0.4s ease-in-out 0s);
          width: calc(23.3% - 38px) !important;
        }
        &:hover {
          .component-preview-cards__veil {
            opacity: 0;
          }
        }
      }
      &.portrait.box-force-full-width,
      &.simple-display.box-force-full-width,
      &:not(.portrait):not(.simple-display) {
        width: calc(100% - 98px);
        @media screen and (max-width: 991px) {
          width: calc(100% - 98px);
        }
        @media screen and (max-width: 767px) {
          width: 100% !important;
        }
        &:hover {
          .component-preview-cards__veil {
            opacity: 0;
          }
        }
      }
    }
  }
}
